#ifndef SETTINGS_HPP_INCLUDED
#define SETTINGS_HPP_INCLUDED

#include <cstdint>
#include <vector>

/** @addtogroup Tools
* @{ */
class Settings
{
    public:
        static std::vector<std::int32_t> GetAll();

        static std::int32_t GetSetting(std::int32_t SettingIndex);
        static std::int32_t GetSetting(std::int32_t SettingIndex, std::int32_t BitMask);
        static bool GetSettingBit(std::int32_t SettingIndex, std::int32_t BitIndex);

        static std::int32_t GetScreenType();

        static bool IsEscToCloseInterfacesOn();
        static bool IsShiftClickToDropOn();
};

/** @} */

#endif // SETTINGS_HPP_INCLUDED
